# Interface ZooInspectorNodeTreeManager

All Superinterfaces:
  `ZooInspectorReadOnlyManager`

All Known Subinterfaces:
  `ZooInspectorManager`

All Known Implementing Classes:
  `ZooInspectorManagerImpl`

public interface ZooInspectorNodeTreeManager extends ZooInspectorReadOnlyManager
A Manager for all interactions between the application and the node tree in a Zookeeper instance

## Method Summary

Modifier and Type
Method
Description
`boolean`
`createNode(String parent, String nodeName)`
`boolean`
`deleteNode(String nodePath)`

### Methods inherited from interface ZooInspectorReadOnlyManager

`getACLs, getChildren, getData, getNodeMeta, getNumChildren`

## Method Details

### createNode

boolean createNode(String parent, String nodeName)

Parameters:
  `parent` - - the parent node path for the node to add
  `nodeName` - - the name of the new node
Returns:
  true if the node was successfully created

### deleteNode

boolean deleteNode(String nodePath)

Parameters:
  `nodePath` - - the path to the node to delete
Returns:
  true if the node was successfully deleted